function init(hero) {
    hero.setName("The Immortal");
    hero.setTier(8);
	hero.setVersion("\u00A7e\u00A7l\I\u00A7b\u00A7l\N\u00A7e\u00A7l\V\u00A7b\u00A7l\I\u00A7e\u00A7l\N\u00A7b\u00A7l\C\u00A7e\u00A7l\I\u00A7b\u00A7l\B\u00A7e\u00A7l\L\u00A7b\u00A7l\E\u00A7r")

	hero.setChestplate("Chestplate");
	hero.setLeggings("Leggings");
    hero.setBoots("Boots");

    hero.addPowers("mvh:inv_theimmortal");
	hero.addAttribute("FALL_RESISTANCE", 1, 1);
	hero.addAttribute("PUNCH_DAMAGE", 10, 0);
	hero.addAttribute("WEAPON_DAMAGE", 0.14, 1);
	hero.addAttribute("SPRINT_SPEED", 0.35, 1);
	hero.addAttribute("BASE_SPEED_LEVELS", 1.0, 0);
	hero.addAttribute("BASE_SPEED", 0.25, 1);
    hero.addAttribute("MAX_HEALTH", 4, 0);


    hero.addKeyBind("FLIGHTSTYLETOGGLE", "Toggle Flight Style", 1);
    hero.addKeyBind("HOVER", "Hover", 2)
	hero.addKeyBind("SUPER_SPEED", "Super Speed", 3)

    hero.setModifierEnabled(isModifierEnabled);
}

function isModifierEnabled(entity, modifier) {
    switch (modifier.name()) {
    case "fiskheroes:flight":
        return !entity.getData("mvh:dyn/flightstyletoggle");
    case "fiskheroes:gliding":
        return entity.getData("mvh:dyn/flightstyletoggle");
    case "fiskheroes:super_speed":
        return !entity.isOnGround();
    default:
        return true;
    }
}

function isKeyBindEnabled(entity, keyBind) {
    switch (keyBind) {
    case "HOVER":
        return !entity.getData("mvh:dyn/flightstyletoggle");
    case "SUPER_SPEED":
        return !entity.isOnGround();
    default:
        return true;
    }
}